.mockup-tablet {
  $container-size: calc(100% - 2px);

  position: relative;
  width: 100%;

  &__container {
    position: relative;
    @include size(100%, 0);
    box-sizing: border-box;
    // padding-bottom: 77.7%;
    padding-bottom: 80%;

    border-radius: 6%/7%;
    background: var(--border-gradient);

    &:before {
      content: '';

      @include absolute-center;
      @include size($container-size, $container-size);

      border-radius: inherit;
      background-color: var(--background-color);
    }
  }

  &__blur {
    @include absolute-center;
    @include size($container-size, $container-size);
    padding: 6%;
    box-sizing: border-box;

    border-radius: inherit;

    @extend %base-blur;
    background-blend-mode: overlay, normal;
  }

  &__content {
    // @include size(100%, 100%);
    // padding: 2.5rem;
    // border-radius: 3%/5%;
    @include size(inherit, inherit);

    overflow-y: auto;
    @include custom-scroll-bar;

    position: relative;

    filter: initial;

    &.cropped-content {
      overflow: hidden;
    }

    &-wrapper {
      @include size(100%, 100%);
      // padding: 2.5rem;
      border-radius: 3%/5%;
      overflow: hidden;
    }

    img {
      display: block;
      width: 100%;
      // border-radius: 1.5rem;
    }
  }

  &__details {
    display: block;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    position: absolute;

    &:after,
    &:before {
      content: '';
      position: absolute;
      top: 50%;
      transform: translateY(-50%);

      background-color: var(--background-accent-color);
    }

    &:before {
      @include size(0.57%, 6.25%);

      left: 2.57%;
      border-radius: 2px;
    }

    &:after {
      width: 2.28%;
      padding-bottom: 2.28%;

      right: 1.7%;
      border-radius: 50%;
    }
  }

  // LAPTOP

  &.laptop {
    .mockup-tablet {
      &__container {
        border-radius: 4%/7%;
        padding-bottom: 60%;
        // padding-bottom: 59%;
      }

      &__details {
        display: none;
      }

      &__blur {
        padding: 4%;
      }
    }
  }
}
